<template lang="pug">
  div.father
    file-error
    nuxt
    api-error
</template>

<script>
import { mapState } from 'vuex'

export default {
  head () {
    return {
      ...this.seo,
      script: [
        { src: 'https://ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js' },
        { src: '/vue-static/photos/js/splitText.min.js', type: 'text/javascript' },
        { src: '/vue-static/photos/js/skrollr.min.js', type: 'text/javascript' }
      ]
    }
  },
  computed: {
    ...mapState({
      seo: state => state.seo.data
    })
  }
}
</script>

<style lang="scss" scoped>
  .father {
    height: 100vh;
    overflow: hidden;
    position: relative;
  }
</style>
